> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session status

> Get session details



## OpenAPI

````yaml get /v2/session/{session_uuid}
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/session/{session_uuid}:
    get:
      tags:
        - Session
      summary: Get session status
      description: Get session details
      operationId: HandleGetSession
      parameters:
        - name: session_uuid
          in: path
          description: The Session UUID to receive (from Create Session response)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Response'
                    description: >
                      **Note:** This example response is a multi-purpose session
                      (create order and tokenize)
                  - type: object
                    properties:
                      order:
                        $ref: '#/components/schemas/OrderResponse'
                      tokenize:
                        allOf:
                          - $ref: '#/components/schemas/SessionTokenResponse'
                          - type: object
                            properties:
                              links:
                                type: array
                                items:
                                  $ref: '#/components/schemas/Link'
              example:
                uuid: fadbc642-05a4-4e38-9e74-80e325623af9
                links:
                  - href: >-
                      https://gateway.sezzle.com/v2/session/fadbc642-05a4-4e38-9e74-80e325623af9
                    method: GET
                    rel: self
                order:
                  uuid: 12a34bc5-6de7-890f-g123-4hi1238jk902
                  intent: CAPTURE
                  checkout_url: >-
                    https://checkout.sezzle.com/?id=12a34bc5-6de7-890f-g123-4hi1238jk902
                  links:
                    - href: >-
                        https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902
                      method: GET
                      rel: self
                    - href: >-
                        https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902
                      method: PATCH
                      rel: self
                    - href: >-
                        https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/release
                      method: POST
                      rel: release
                    - href: >-
                        https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/capture
                      method: POST
                      rel: capture
                    - href: >-
                        https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/refund
                      method: POST
                      rel: refund
                  tokenize:
                    token: 7ec98824-67cc-469c-86ab-f9e047f9cf1a
                    expiration: '2020-04-27T14:46:59.000Z'
                    approval_url: >-
                      https://dashboard.sezzle.com/customer/checkout-approval?merchant-request-id=3f3244fd-78ce-4994-af0c-b8c760d47794
                    links:
                      - href: >-
                          https://gateway.sezzle.com/v2/token/7ec98824-67cc-469c-86ab-f9e047f9cf1a/session
                        method: GET
                        rel: token
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: Invalid SessionUUID
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    Response:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for this response
        links:
          type: array
          description: Available API links prefilled with UUID with accompanying method
          items:
            $ref: '#/components/schemas/Link'
    OrderResponse:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for the order details provided by the merchant
        intent:
          $ref: '#/components/schemas/Intent'
        checkout_url:
          type: string
          description: >-
            The URL to which the shopper should be directed to complete their
            order with Sezzle
        links:
          type: array
          items:
            $ref: '#/components/schemas/Link'
    SessionTokenResponse:
      type: object
      properties:
        token:
          type: string
          description: >-
            This token represents the merchant request to tokenize a customer.
            This token can only be used one time. Once a user accepts/denies
            tokenization, this token and its approval URL will be obsolete.
        expiration:
          type: string
          format: date-time
          description: The expiration of the request token in ISO 8601 date/time format.
        approval_url:
          type: string
          description: >-
            The URL for the user to accept tokenization. This URL does not
            create an order, it is only used for tokenizing a customer.
    Link:
      type: object
      required:
        - href
      properties:
        href:
          type: string
          description: The fully qualified URL for the API endpoint
        rel:
          type: string
          description: >-
            The relationship type indicating the purpose of this link (e.g.,
            'self' for the current resource, 'create' for creating a new
            resource, 'list' for listing resources)
          enum:
            - self
            - capture
            - checkout
            - create
            - customer
            - list
            - order
            - preapprove
            - refund
            - release
            - session
        method:
          type: string
          description: The HTTP method to use when calling this API endpoint
          enum:
            - GET
            - POST
            - PATCH
            - DELETE
    Intent:
      type: string
      description: >
        - Use CAPTURE if payment should be captured immediately upon shopper
        authorization

        - Use AUTH if there is any post-authorization validation needed prior to
        capture, such as inventory validation or regulatory requirements, or if
        merchant policy is to charge the payment method at time of shipment
          - Submit a capture request via the API or your Merchant Dashboard before the authorization expires.
          - The authorization expiration window can be set from 30 minutes up to 7 days in your Merchant Dashboard Settings.  
        - If not specified, the value will default to CAPTURE
      enum:
        - AUTH
        - CAPTURE
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````